summaryrefslogtreecommitdiffstats
path: root/deps/qca-qt5/qca-qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-12-11 22:53:38 +0100
committer Eric Hameleers <alien@slackware.com>2018-12-11 22:53:38 +0100
commitd225cfdcf140f137ed991cbfc1a3839a8e5cf242 (patch)
tree93427c8680e4300dd90c7b6ca9b2cfd6bea394a4 /deps/qca-qt5/qca-qt5.SlackBuild
parentfded24a3ec56c09ae5afa71620225f5f0e21b59d (diff)
downloadktown-d225cfdcf140f137ed991cbfc1a3839a8e5cf242.tar.gz
ktown-d225cfdcf140f137ed991cbfc1a3839a8e5cf242.tar.xz
Recompile qca-qt5 to quell random crashes in kdeconnect and telepathy
Diffstat (limited to '')
-rwxr-xr-xdeps/qca-qt5/qca-qt5.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/deps/qca-qt5/qca-qt5.SlackBuild b/deps/qca-qt5/qca-qt5.SlackBuild
index dc8b76c..3519d31 100755
--- a/deps/qca-qt5/qca-qt5.SlackBuild
+++ b/deps/qca-qt5/qca-qt5.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017, 2018 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,8 @@
PKGNAM=qca-qt5
SRCNAM=qca
VERSION=${VERSION:-2.1.3}
-BUILD=${BUILD:-2}
-NUMJOBS=${NUMJOBS:--j6}
+BUILD=${BUILD:-3}
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -63,6 +63,9 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
cd $SRCNAM-$VERSION || exit 1
+# Patch for openssl-1.1 compatibility:
+cat $CWD/patches/qca_openssl11.patch | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \